Subject: bug#37218: Regarding the error "java.util.zip.ZipException: Corrupt GZIP trailer"

From: Anoopanand Malik <[email-masked]>
Date: Thu, 29 Aug 2019 08:12:02 +0000

Dear Jim and Paul,

Greetings from India!!

I have been using Ubuntu since last 3 years and working large data-sets for my biotechnology related analysis. I installed Ubuntu 18.04 LTS on a new working station (with specifications : 1 TB HDD, 32 GB RAM, 64-bit). This system is a dual boot system as it also has Windows 10 as an operating system.

I used to receive large sequencing files (or raw files) with an extension .gz (gzipped) which were usually downloaded from the ftp servers. The scripts for my analysis frequently include gunziping and gziping commands of the same raw file. Presently, I am using the following java version "openjdk  11.0.4" and GNU version

gunzip (gzip) 1.6
Copyright (C) 2007, 2011-2013 Free Software Foundation, Inc.
This is free software.  You may redistribute copies of it under the terms of
the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.
There is NO WARRANTY, to the extent permitted by law.

Since last few days, I am constantly facing the below mentioned error:

java.util.zip.ZipException: Corrupt GZIP trailer
at java.base/java.util.zip.GZIPInputStream.readTrailer(GZIPInputStream.java:226)
at java.base/java.util.zip.GZIPInputStream.read(GZIPInputStream.java:120)
at java.base/sun.nio.cs.StreamDecoder.readBytes(StreamDecoder.java:284)
at java.base/sun.nio.cs.StreamDecoder.implRead(StreamDecoder.java:326)
at java.base/sun.nio.cs.StreamDecoder.read(StreamDecoder.java:178)
at java.base/java.io.InputStreamReader.read(InputStreamReader.java:185)
at java.base/java.io.BufferedReader.fill(BufferedReader.java:161)
at java.base/java.io.BufferedReader.readLine(BufferedReader.java:326)
at java.base/java.io.BufferedReader.readLine(BufferedReader.java:392)
at net.maizegenetics.analysis.gbs.v2.GBSUtils.readFastQBlock(GBSUtils.java:54)
at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.processFastQ(GBSSeqToTagDBPlugin.java:309)
at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.processFastQFile(GBSSeqToTagDBPlugin.java:291)
at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.lambda$processData$112(GBSSeqToTagDBPlugin.java:229)
at java.base/java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
at java.base/java.util.ArrayList$ArrayListSpliterator.forEachRemaining(ArrayList.java:1654)
at java.base/java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:484)
at java.base/java.util.stream.ForEachOps$ForEachTask.compute(ForEachOps.java:290)
at java.base/java.util.concurrent.CountedCompleter.exec(CountedCompleter.java:746)
at java.base/java.util.concurrent.ForkJoinTask.doExec(ForkJoinTask.java:290)
at java.base/java.util.concurrent.ForkJoinTask.doInvoke(ForkJoinTask.java:408)
at java.base/java.util.concurrent.ForkJoinTask.invoke(ForkJoinTask.java:736)
at java.base/java.util.stream.ForEachOps$ForEachOp.evaluateParallel(ForEachOps.java:159)
at java.base/java.util.stream.ForEachOps$ForEachOp$OfRef.evaluateParallel(ForEachOps.java:173)
at java.base/java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:233)
at java.base/java.util.stream.ReferencePipeline.forEach(ReferencePipeline.java:497)
at java.base/java.util.stream.ReferencePipeline$Head.forEach(ReferencePipeline.java:661)
at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.processData(GBSSeqToTagDBPlugin.java:227)
at net.maizegenetics.plugindef.AbstractPlugin.performFunction(AbstractPlugin.java:111)
at net.maizegenetics.plugindef.AbstractPlugin.dataSetReturned(AbstractPlugin.java:1750)
at net.maizegenetics.plugindef.ThreadedPluginListener.run(ThreadedPluginListener.java:29)
at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:515)
at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
at java.base/java.lang.Thread.run(Thread.java:834)

This error was not observed with the old files which were analyzed before the installation of this working station. I would like to request you to solve this bug as I am unable to proceed further with this error and I would be happy to answer any other query/information regarding the same.

Thanks and regards

Anoop Anand Malik
C/o Dr (Prof) Shashi Bhushan Tripathi
TERI School of Advanced Studies (TERI SAS)
New Delhi, India